Subject: bug#7289: Tramp changes ownership of remote file when saving

From: Stefan Monnier <[email-masked]>
Date: Wed, 27 Oct 2010 09:53:55 -0400

> When editing a remote file over SSH using tramp, emacs changes the ownership
> of the file. I was logged in as root, and the file had ownership svn:svn.
> After saving, however, emacs changed the ownership to root:root. The backup
> file (filename~) did have the user/group settings however.

What are your settings for backup-by-copying and
backup-by-copying-when-mismatch?

        Stefan